Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
fileupload.php File Reference

Go to the source code of this file.

## Functions
| changePermissions ( $objectID, $groups, $permission)

## Variables
if(isSet( $UpdateFiles)) if(isset( $NewFile)) if(isset( $NewFolder)) if(isset( $DeleteFiles)) if(isset( $Delete)) if(isset( $DeleteFolders)) if(isset( $Cancel)) if(isset( $Download)) | $user =& eZUser::currentUser()
if(! $user) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZFileManagerMain", "Language" )
| $t
| $error = false
| $nameCheck = true
| $descriptionCheck = false
| $folderPermissionCheck = true
| $readCheck = true
| $fileCheck = true
if(isset( $Action) && $Action=="New"|| $error) if(isset( $Action) && $Action=="Edit") | $group = new eZUserGroup()
| $groups = $group->getAll()
foreach( $groups as $group) | $folder = new eZVirtualFolder()
| $folderList = $folder->getTree()

## Function Documentation

## ◆ changePermissions()

changePermissions | ( |  | $objectID,
|  |  | $groups,
|  |  | $permission
| ) |  |

Definition at line 500 of file fileupload.php.

References $group, $groups, $permission, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $descriptionCheck

$descriptionCheck = false

Definition at line 126 of file fileupload.php.

## ◆ $error

$error = false

Definition at line 124 of file fileupload.php.

## ◆ $fileCheck

$fileCheck = true

Definition at line 129 of file fileupload.php.

## ◆ $folder

foreach ($groups as $group) $folder = new eZVirtualFolder()

Definition at line 460 of file fileupload.php.

## ◆ $folderList

$folderList = $folder->getTree()

Definition at line 462 of file fileupload.php.

## ◆ $folderPermissionCheck

$folderPermissionCheck = true

Definition at line 127 of file fileupload.php.

## ◆ $group

if (isset($Action) &&$Action=="New"||$error) if (isset($Action) &&$Action=="Edit") $group = new eZUserGroup()

Definition at line 405 of file fileupload.php.

Referenced by changePermissions().

## ◆ $groups

$groups = $group->getAll()

Definition at line 406 of file fileupload.php.

Referenced by changePermissions().

## ◆ $ini

if (! $user) $ini =& eZINI::instance( 'site.ini' )

Definition at line 101 of file fileupload.php.

## ◆ $Language

$Language = $ini->variable( "eZFileManagerMain", "Language" )

Definition at line 103 of file fileupload.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 125 of file fileupload.php.

## ◆ $readCheck

$readCheck = true

Definition at line 128 of file fileupload.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezfilemanager/user/" . $ini->variable( "eZFileManagerMain", "TemplateDir" ),
"kernel/ezfilemanager/user/intl/", $Language, "fileupload.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(! $user) $ini
Definition: fileupload.php:101
$Language
$Language
Definition: fileupload.php:103

Definition at line 106 of file fileupload.php.

## ◆ $user

if (isSet($UpdateFiles)) if (isset($NewFile)) if (isset($NewFolder)) if (isset($DeleteFiles)) if (isset($Delete)) if (isset($DeleteFolders)) if (isset($Cancel)) if (isset($Download)) $user =& eZUser::currentUser()

Definition at line 93 of file fileupload.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.